Zoom Meeting API - March 18, 2023
Published date: March 18, 2023
Added
- New Device API:
PATCH /v2/devices/{deviceId}/assignment
- New Webinar webhook events:
webinar.permanently_deletedwebinar.recovered
- New Zoom Rooms webhook event:
zoomroom.meeting_invitation_accepted
Changed
- New
source_idrequest field in the Add a webinar registrant API:POST /v2/webinars/{webinarId}/registrants
- New
file_idsrequest field in the following Chat APIs:PUT /v2/chat/users/{userId}/messages/{messageId}
- New
user_id,join_time,leave_time,duration,failoverresponse fields in the following Meeting and Webinar APIs:GET /v2/past_meetings/{meetingId}/participantsGET /v2/past_webinars/{webinarId}/participants
- New
audio,audio_conference_infofields in the following Meeting and Webinar APIs:POST /v2/users/{userId}/meetingsGET /v2/meetings/{meetingId}PATCH /v2/meetings/{meetingId}POST /v2/users/{userId}/webinarsGET /v2/webinars/{webinarId}PATCH /v2/webinars/{webinarId}
- New
recording_play_passcodefield in the following Recording APIs:GET /v2/users/{userId}/recordingsGET /v2/accounts/{accountId}/recordings
- New
zoom_spotsfield in the following Settings APIs:GET /v2/users/{userId}/settingsPATCH /v2/users/{userId}/settings
- New
signin_with_sso,enable,require_sso_for_domains,domains,sso_bypass_user_idsfields in the following Settings API:PATCH /v2/accounts/{accountId}/settings
- Support
schedule_forsimulive webinars in the following Webinar APIs:POST /v2/users/{userId}/webinarsPATCH /v2/webinars/{webinarId}
- New
zoomroom.alarm_start,zoomroom.alarm_stopandzoomroom.thirdparty_meeting_joinvalue for themethodfield and newjoin_type,meeting_source_type,join_url,sip_addressandthird_party_meeting_numberfields in theparamsfield in the Zoom Rooms API:PATCH /v2/rooms/{id}/events
- New
set_retention_period_in_cloud,set_retention_period_in_localfields in the following Settings APIs and webhook events:GET /v2/accounts/{accountId}/settingsPATCH /v2/accounts/{accountId}/settingsGET /v2/accounts/{accountId}/lock_settingsPATCH /v2/accounts/{accountId}/lock_settingsGET /v2/groups/{groupId}/settingsPATCH /v2/groups/{groupId}/settingsaccount.settings_updatedaccount.lock_settings_updatedgroup.settings_updated
- New
signin_with_sso,enable,require_sso_for_domains,domains,sso_bypass_usersresponse fields in the following Settings API and webhook event:GET /v2/accounts/{accountId}/settingsaccount.settings_updated
- New
meeting_question_answerfield in the following Settings APIs and webhook events:GET /v2/accounts/{accountId}/settingsPATCH /v2/accounts/{accountId}/settingsGET /v2/accounts/{accountId}/lock_settingsPATCH /v2/accounts/{accountId}/lock_settingsGET /v2/groups/{groupId}/settingsPATCH /v2/groups/{groupId}/settingsGET /v2/groups/{groupId}/lock_settingsPATCH /v2/groups/{groupId}/lock_settingsGET /v2/users/{userId}/settingsaccount.settings_updatedaccount.lock_settings_updatedgroup.settings_updatedgroup.lock_settings_updated
- New
reserve_forfield in the following Workspace webhook events:workspace.reservation_checked_inworkspace.reservation_checked_outworkspace.reservation_deletedworkspace.reservation_update
- Align admin password change logic in API to match logic in web
portal, which only lets the owner update the admin's password.
PUT /v2/users/{userId}/password
Fixed
- Fix the bug that added duplicate numbers in the Create Internal
Numbers API:
POST /v2/accounts/{accountId}/sip_trunk/internal_numbers
- Fix the bug that let denied registrants re-register in the
Meeting API:
POST /v2/meetings/{meetingId}/registrants
- Fix the bug that allowed users without permission to access the
Report APIs:
GET /v2/report/operationlogsGET /v2/report/activities